> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate the catalog: draft campaigns, creative jobs and seller feed sharing



## OpenAPI

````yaml /openapi/buyer.yaml post /api/v2/buyer/advertisers/{id}/catalogs/{catalogId}/activation-plan/execute
openapi: 3.1.0
info:
  title: Semicola Exchange buyer API
  version: 2.0.0
  description: >-
    Buyer endpoints: advertisers, storefronts and connections, product
    discovery, campaigns, proposals, media buys, creatives and reporting. Every
    write accepts an Idempotency-Key header.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Advertisers
  - name: Storefronts
  - name: Product Discovery
  - name: Campaigns
  - name: Media Buys
  - name: Creatives
  - name: Catalogs
  - name: Reporting
  - name: Event Sources
  - name: Webhooks
  - name: Tasks
  - name: Audit Logs
  - name: Activity
paths:
  /api/v2/buyer/advertisers/{id}/catalogs/{catalogId}/activation-plan/execute:
    post:
      tags:
        - Catalogs
      summary: >-
        Activate the catalog: draft campaigns, creative jobs and seller feed
        sharing
      operationId: postBuyerAdvertisersByIdCatalogsByCatalogIdActivationPlanExecute
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            exclusiveMinimum: 0
            maximum: 9007199254740991
        - name: catalogId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          plan:
                            type: object
                            properties:
                              planId:
                                type:
                                  - string
                                  - 'null'
                              catalogId:
                                type: string
                              platformCatalogId:
                                type: string
                              catalogVersionId:
                                type:
                                  - string
                                  - 'null'
                              transformId:
                                type:
                                  - string
                                  - 'null'
                              planHash:
                                type: string
                              itemCount:
                                type: integer
                                minimum: 0
                                maximum: 9007199254740991
                              campaignGroups:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    key:
                                      type: string
                                    name:
                                      type: string
                                    fieldValues:
                                      type: object
                                      propertyNames:
                                        type: string
                                      additionalProperties: {}
                                    itemIds:
                                      type: array
                                      items:
                                        type: string
                                    itemCount:
                                      type: integer
                                      minimum: 0
                                      maximum: 9007199254740991
                                    budget:
                                      anyOf:
                                        - type: object
                                          properties:
                                            amount:
                                              type: number
                                              minimum: 0
                                            currency:
                                              type: string
                                          required:
                                            - amount
                                            - currency
                                          additionalProperties: false
                                        - type: 'null'
                                  required:
                                    - key
                                    - name
                                    - fieldValues
                                    - itemIds
                                    - itemCount
                                    - budget
                                  additionalProperties: false
                              creativeAssets:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    key:
                                      type: string
                                    prompt:
                                      type: string
                                    fieldValues:
                                      type: object
                                      propertyNames:
                                        type: string
                                      additionalProperties: {}
                                    itemIds:
                                      type: array
                                      items:
                                        type: string
                                    itemCount:
                                      type: integer
                                      minimum: 0
                                      maximum: 9007199254740991
                                  required:
                                    - key
                                    - prompt
                                    - fieldValues
                                    - itemIds
                                    - itemCount
                                  additionalProperties: false
                              syndicationTargets:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    adcpAgentId:
                                      type: string
                                    sellerName:
                                      type: string
                                    shareStatus:
                                      type: string
                                      enum:
                                        - ready
                                        - unsupported
                                    deliveryMode:
                                      type: string
                                      enum:
                                        - native_catalog
                                        - native_creative_catalog
                                        - assembled_creative
                                        - third_party_creative_agent
                                        - unsupported
                                    usesTransformedCatalog:
                                      type: boolean
                                    requiresCreativeAssembly:
                                      type: boolean
                                    creativeAgentId:
                                      type:
                                        - string
                                        - 'null'
                                    reason:
                                      type: string
                                  required:
                                    - adcpAgentId
                                    - sellerName
                                    - shareStatus
                                    - deliveryMode
                                    - usesTransformedCatalog
                                    - requiresCreativeAssembly
                                    - creativeAgentId
                                    - reason
                                  additionalProperties: false
                              createdAt:
                                anyOf:
                                  - type: string
                                    format: date-time
                                    pattern: >-
                                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                  - type: 'null'
                            required:
                              - planId
                              - catalogId
                              - platformCatalogId
                              - catalogVersionId
                              - transformId
                              - planHash
                              - itemCount
                              - campaignGroups
                              - creativeAssets
                              - syndicationTargets
                              - createdAt
                            additionalProperties: false
                          execution:
                            type: object
                            properties:
                              executionId:
                                type: string
                              planId:
                                type:
                                  - string
                                  - 'null'
                              catalogVersionId:
                                type:
                                  - string
                                  - 'null'
                              transformId:
                                type:
                                  - string
                                  - 'null'
                              status:
                                type: string
                                enum:
                                  - pending
                                  - completed
                                  - failed
                              trigger:
                                type: string
                                enum:
                                  - manual
                                  - feed_refresh
                                  - scheduled
                              steps:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    stepId:
                                      type: string
                                    stepType:
                                      type: string
                                      enum:
                                        - campaign_activation_request
                                        - sync_catalogs
                                        - sync_creatives
                                        - creative_generation_request
                                        - third_party_creative_agent
                                        - unsupported
                                    status:
                                      type: string
                                      enum:
                                        - pending
                                        - completed
                                        - failed
                                        - skipped
                                    targetAdcpAgentId:
                                      type:
                                        - string
                                        - 'null'
                                    creativeAssetKey:
                                      type:
                                        - string
                                        - 'null'
                                    campaignGroupKey:
                                      type:
                                        - string
                                        - 'null'
                                    campaignId:
                                      type:
                                        - string
                                        - 'null'
                                    error:
                                      type:
                                        - string
                                        - 'null'
                                  required:
                                    - stepId
                                    - stepType
                                    - status
                                    - targetAdcpAgentId
                                    - creativeAssetKey
                                    - campaignGroupKey
                                    - campaignId
                                    - error
                                  additionalProperties: false
                              startedAt:
                                type: string
                                format: date-time
                                pattern: >-
                                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                              completedAt:
                                anyOf:
                                  - type: string
                                    format: date-time
                                    pattern: >-
                                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                  - type: 'null'
                            required:
                              - executionId
                              - planId
                              - catalogVersionId
                              - transformId
                              - status
                              - trigger
                              - steps
                              - startedAt
                              - completedAt
                            additionalProperties: false
                        required:
                          - plan
                          - execution
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````